Bug 1500875 - [RFE] Implement deployment of RBD mirror via ceph-ansible with Ceph luminous
Summary: [RFE] Implement deployment of RBD mirror via ceph-ansible with Ceph luminous
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Keith Schincke
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On:
Blocks: 1412374
TreeView+ depends on / blocked
 
Reported: 2017-10-11 16:05 UTC by Giulio Fidente
Modified: 2018-06-27 13:38 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-common-8.3.1-0.20180103233643.el7ost openstack-tripleo-heat-templates-8.0.0-0.20180103192340.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:37:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 520244 None MERGED Add ceph-rbdmirror ansible container service 2020-01-30 16:07:40 UTC
OpenStack gerrit 520658 None MERGED Add support for ceph_rbdmirror_ansible_vars from tht 2020-01-30 16:07:40 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:38:54 UTC

Description Giulio Fidente 2017-10-11 16:05:59 UTC
With Ceph Luminous we should be able to deploy the RBD mirror daemon without using pacemaker.

We should add a ceph-ansible version of the CephRbdMirror in Director.

Comment 5 Yogev Rabl 2018-03-28 15:16:43 UTC
Verified

A deployment of an overcloud with two RBD back ends with Cinder with the creation of an additional pool in the Ceph cluster was successful

Comment 7 errata-xmlrpc 2018-06-27 13:37:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.